local  PrincessTower = foundation.createMod();

_PrincessPrefix = "PRINCESS"
_RopePrefix = "ROPE"

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.7") < 0) then
    PrincessTower:msgBox("PrincessTower: game version anterior to 1.7")
    return
end
PrincessTower:msgBox("PrincessTower: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
PrincessTower:dofile("scripts/common.lua")

_NoSandbox = difficultyLevel(PrincessTower, "PrincessTower")

-- Register hats prefab nodes
PrincessTower:registerAssetId("models/princessCrown.fbx/Prefab/crown", _PrincessPrefix .. "_CROWN_PREFAB")
-- Particle system
PrincessTower:dofile("scripts/rope.lua")
-- Jobs
PrincessTower:dofile("scripts/jobs.lua")
-- Buildings
PrincessTower:dofile("scripts/monument.lua")
