local PrincessTower = ...

PrincessTower:registerAssetId("models/Rope.png", _RopePrefix .. "_TEXTURE")

PrincessTower:register({
	DataType = "MATERIAL",
	Id = _RopePrefix .. "_MATERIAL",
        AlbedoColor = COL_WHITE,
	AlbedoTexture = _RopePrefix .. "_TEXTURE"
})

PrincessTower:register({
	DataType = "PARTICLE_SYSTEM",
	Id = _RopePrefix .. "_PARTICLE_SYSTEM",
	Material = _RopePrefix .. "_MATERIAL",
	BillboardBehavior = "FACE_CAMERA_Y_ALIGN",
	Duration = 1,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 1,
	StartSpeed = { 0, 0 },
	StartSize = { 10, 10 },
	StartRotation = { 0, 0 },
	StartColor = { 0.7, 0.7, 0.7, 1 },
	GravityModifier = 0,
	RateOverTime = 2,
	BurstList = {},
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_BOX",
		Size = { 0, 0.001, 0 },
                Rotation = { 0, 0, 0 },
                Position = { 0, 0, 0 }
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0, 0, 0 },
		ValueB = { 0, 0, 0 },
	},
	SizeOverLifetime = {
		{ T = 0, Value = 1 }
	},
	RotationOverLifetime = { 0, 0 },
})